Tray
Customers
GET
Retrieve Tray customer commerce, engagement, and lifecycle metrics
ClientIdAuthClientSecretAuthheader
x-client-id<token>Client ID
header
x-client-secret<token>Client secret
organizationId*stringOrganization identifier (required)
integrationId?stringTray integration identifier
integrationName?stringTray integration name
page?integerPage number (default 1)
Default
1limit?integerItems per page (default 500, max 5000)
Range
value <= 5000Default
500id?stringFilter by customer ID
registrationDateStart?stringFilter by registration date start
Format
date-timeregistrationDateEnd?stringFilter by registration date end
Format
date-timecreatedStart?stringFilter by creation date start
Format
date-timecreatedEnd?stringFilter by creation date end
Format
date-timelastModifiedStart?stringFilter by last modification start
Format
date-timelastModifiedEnd?stringFilter by last modification end
Format
date-timeTray customers response
application/json- response
data?array<>meta?curl -X GET "https://example.com/v1/tray/customers?organizationId=org_123"{ "data": [ { "newsletter": "string", "created": "2019-08-24T14:15:22Z", "terms": "2019-08-24T14:15:22Z", "id": "string", "registration_date": "2019-08-24T14:15:22Z", "email": "user@example.com", "total_orders": 0, "type": "string", "is_foreign": "string", "reseller": true, "discount": 0.1, "blocked": "string", "credit_limit": 0.1, "indicator_id": "string", "profile_customer_id": "string", "last_sending_newsletter": "2019-08-24T14:15:22Z", "last_purchase": "2019-08-24T14:15:22Z", "last_visit": "2019-08-24T14:15:22Z", "last_modification": "2019-08-24T14:15:22Z", "modified": "2019-08-24T14:15:22Z", "count_orders": 0, "integration_id": "string", "organization_id": "string", "document_id": "string", "integration_name": "string", "inserted_at": "2019-08-24T14:15:22Z" } ], "meta": { "page": 0, "limit": 0, "hasNextPage": true, "hasPreviousPage": true }}